%
%   This file contains the modifications to match samk template in 2023
%   Created by: ehofmann
%   09/Dec/2023
%
%\ProvidesPackage{samk-template}[2023/12/09]

%to minimize use of hyphenation
\spaceskip=1.3\fontdimen2\font plus 1.3\fontdimen3\font minus 1.3\fontdimen4\font


%code to insert background image
\usepackage{eso-pic}
\newcommand\BackgroundPic{%
	\put(0,0){%
		\parbox[b][\paperheight]{\paperwidth}{%
			\vfill
			\vspace*{-3.5cm}
			\centering
			\includegraphics[width=\paperwidth,height=\paperheight,%
			keepaspectratio]{img/samk-cover-logo.png} %
			\vfill
}}}

%this adjust chapter title to match SAMK template
%source: https://tex.stackexchange.com/a/339606
\usepackage{titlesec}
\titleformat{\chapter}
  {\vspace{6em}\normalfont\Large}
  {\thechapter}
  {.5em}
  {\MakeUppercase}
  [\vspace{.5ex}]
\titlespacing*{\chapter}
  {0pt}
  {0pt}
  {15pt}

%this adjust chapter section to match SAMK template
\titleformat{\section}
  {\normalfont\sffamily\large\color{black}}
  {\thesection}{.5em}{}

% to fix table of content title and make chapter upper case
\renewcommand{\printtoctitle}[1]{\Large\MakeUppercase #1}
\makeatletter
\patchcmd{\l@chapter}{#1}{\MakeTextUppercase{#1}}{}{}
\makeatother

 %remove indent beginning of paragraph
\setlength{\parindent}{0pt}


